Subject: Re: [bug#57773] [PATCH] gnu: add emacs-transpose-mark

From: Nicolas Goaziou <[email-masked]>
Date: Sun, 18 Sep 2022 11:26:47 +0200

Hello,

Trevor Richards <[email-masked]> writes:

> +(define-public emacs-transpose-mark
> +  (let ((commit "667327602004794de97214cf336ac61650ef75b7")
> +        (revision "0"))

Thank you. I normalized your commit message and applied your patch with
the changes below.

> +    (package
> +      (name "emacs-transpose-mark")
> +      (version (git-version "0.0.1" revision commit))

Base version is actually "0": I couldn't find any tag nor a Version keyord. 

> +         (uri (git-reference
> +               (url "https://github.com/kwrooijen/transpose-mark.git")

I removed the ".git" suffix.

> +      (home-page "https://github.com/kwrooijen/transpose-mark.git")

Ditto.

> +      (synopsis "A small library for transposing lines and regions.")

Synopsis are not expected to start with an article, nor end with a full
stop.

> +      (description "Transpose mark provides some commands that makes
> +transposing lines and regions easier. You can mark a line and transpose it
> +with a line at point, or \"mark\" a region and transpose it with another
> +region a point. The plugin provides visual feedback for marked
> regions.")

I added two spaces between sentences.

> +      (license license:gpl3))))

License is "gpl3+": it contains "or (at your option) any later version"

Regards,
-- 
Nicolas Goaziou